%define			realname	plasma-weather

Distribution:		CCux
Packager:		Christian Wasem <wasem@ccux-linux.de>

Name:			plasmoid-weather
Version:		0.4
Release:		1
License:		GNU/GPL
URL:			http://www.kde-look.org/content/show.php/Weather+Plasmoid?content=84251
Group:			Graphical Desktop/KDE4/Plasmoids
Summary:		Weather Plasmoid
Source0:		%{realname}-%{version}.tar.gz
Patch0:			%{realname}-desktop.patch
BuildRoot:		%{_tmppath}/%{name}-buildroot
BuildRequires:		libICE-devel
BuildRequires:		qt4-devel
BuildRequires:		libSM-devel
BuildRequires:		libX11-devel
BuildRequires:		phonon-devel
BuildRequires:		kdebase-workspace-devel
BuildRequires:		automoc4

Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
This KDE4 plasmoid displays weather data for a specified zip code.  
This widget used the Yahoo! Weather API to collect data so credit is 
due there.

%post
/sbin/ldconfig
touch --no-create %_datadir/icons/hicolor ||:
gtk-update-icon-cache -q %_datadir/icons/hicolor 2> /dev/null ||:
update-desktop-database %_datadir/applications > /dev/null 2>&1 ||:

%postun
/sbin/ldconfig
touch --no-create %_datadir/icons/hicolor ||:
gtk-update-icon-cache -q %_datadir/icons/hicolor 2> /dev/null ||:
update-desktop-database %_datadir/applications > /dev/null 2>&1 ||:

%prep
%setup -n weather
%patch0 -p1

%build
cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` .
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_prefix

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 03 2008 Christian Wasem <wasem@ccux-linux.de> 0.4-1
- Initial release
